<!DOCTYPE html>
{% load staticfiles %}
<html lang="en">
<head>
	<title>GoldenEye</title>
    <meta http-equiv="Content-type" content="text/html;charset=UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1"/>
	  <link rel="icon" href="{% static 'images/logo-head.PNG' %}">


<!--===============================================================================================-->	
 <!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'vendor/bootstrap/css/bootstrap.min.css' %}"/>
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'fonts/font-awesome-4.7.0/css/font-awesome.min.css' %}"/>
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'fonts/Linearicons-Free-v1.0.0/icon-font.min.css' %}"/>
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'vendor/animate/animate.css' %}"/>
<!--===============================================================================================-->	
	<link rel="stylesheet" type="text/css" href="{% static 'vendor/css-hamburgers/hamburgers.min.css' %}"/>
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'vendor/animsition/css/animsition.min.css' %}"/>
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'vendor/select2/select2.min.css' %}"/>
<!--===============================================================================================-->	
	<link rel="stylesheet" type="text/css" href="{% static 'vendor/daterangepicker/daterangepicker.css' %}"/>
<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="{% static 'css/util.css' %}"/>
	<link rel="stylesheet" type="text/css" href="{% static 'css/main.css' %}"/>
	
<!--===============================================================================================-->
<link href = "https://code.jquery.com/ui/1.10.4/themes/ui-lightness/jquery-ui.css"
         rel = "stylesheet">


<style>


body {font-family: Arial, Helvetica, sans-serif;}

/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  padding-top: 10px; /* Location of the box */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

/* Modal Content */
.modal-content {
  background-color: #fefefe;
  margin: auto;
  padding: 10px;
  border: 1px solid #888;
  width: 70%;
   overflow: hidden;
}

/* The Close Button */
.close {
  color: #aaaaaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: #000;
  text-decoration: none;
  cursor: pointer;
}
</style>

</head>
<body>
		
	<div class="limiter">
		<div class="container-login100">
			<div class="wrap-login100" style="width:1070px">
			<div class="login100-form-title">
					<img class="company-logo" src="{% static 'images/logo-company.png' %}" alt="company logo" />
					<img class="app-logo" src="{% static 'images/logo-app.png' %}" alt="app logo" />
				</div>
			<div class="navbar">
					<div class="nav-container">
						<div class="navbar-right">
							<span class="navbar-item active">
								<a href="/"> Home </a>
							</span>
						</div>
						<div class="navbar-right">
								<span class="navbar-item">
									<a href="../account_edit"> Account Managment </a>
								</span>
								<span class="navbar-item">
									<a href="logout"> Logout </a>
								</span>
 

							<span class="navbar-search">
							<form id="searchh"method='POST' action='search/{{country}}'>
								<input type="text" name='search' id="search" placeholder="Search"/>{% csrf_token %}
								<button type='submit' class="btn btn-default">
									<i class="fa fa-search" aria-hidden="true"></i>
								</button>
								</form>
							</span>
						</div>
					</div>
				</div>
			<div class="project-banner">
			<div class="page-banner">
				<div align="right"><button type="button" style="background:solid black !important;"class="btn btn-primary"onclick="reset()">Reset Analysis</button></div>
				</div>
				

			</div>	
<div id="alertparent">
{% if error_msg %}
<div class="alert alert alert-danger alert-dismissible fade show" role="alert"  id="aler">
  <strong>ERROR!!!!</strong> {{ error_msg }}
  <button type="button" onclick="create()" class="close" data-dismiss="alert" aria-label="Close">
    <span aria-hidden="true">&times;</span>
  </button>
</div>
{% endif %}
</div>
{% csrf_token %}
<br>

<div style="float:left;margin-left:50px">
<input type="button" class="btn btn-light btn-outline-dark" style="cursor:pointer;" value="Select Country" id="myBtn" />
</div>
<div style="margin-left:130px;float:left; width:330px">
<div style="float:left;">
<span style="font-size:20px">Date From</span>
</div>
<div style="padding-top:5px;padding-bottom:5px;padding-left:10px;padding-right:-5px;border:solid black 1px;float:right;  border-radius: 5px;">
<input placeholder="From Date" onchange="time()" style="font-size:18px;width:160px" type="text" id="fromdate"> 
<i style="font-size:22px;padding-right:10px;color:#00bfff"class="fa fa-calendar" aria-hidden="true"></i>
</div>
</div>

<div style="margin-left:100px;float:left; width:300px">
<div style="float:left">
<span style="font-size:20px">Date To</span>
</div>
<div  style="padding-top:5px;padding-bottom:5px;padding-left:5px;padding-right:-5px;border:solid black 1px;float:right;  border-radius: 5px;">
<input placeholder="To Date" onchange="time()" style="font-size:18px;width:160px" type="text" id="todate"> 
<i style="font-size:22px;padding-right:10px;color:#00bfff"class="fa fa-calendar" aria-hidden="true"></i>
</div>
</div>

<div id="myModal" class="modal">

  <!-- Modal content -->
  <div class="modal-content">
    <span class="close">&times;</span>
		<iframe id="home" width="100%"  height="570px" src="//:0"></iframe>
	</div>

</div>
<br>
<div style="padding-top:100px"align="center">
<h1>{{name}}</h1>
</div>
<br>
<div style="padding-top:100px" align="center">

		<iframe id="topics" width="100%" height="450px" src="http://35.226.69.237/{{country}}/virality/{{min}}/{{max}}/top/top"></iframe>
</div>

<div style="padding-top:50px" align="center">

		<iframe id="timeline" width="100%" height="450px" src="http://35.226.69.237/{{country}}/timeline/{{min}}/{{max}}/top/top"></iframe>
</div>

<div class="container-fluid">
<div class="row">
		<div class="col-md-6 col-sm-12 panel">
			<h5 class="panel-title"> Network Analysis
			<div align="right"><button type="button" style="background:solid black !important;" class="btn btn-primary btn-prev" onclick="prev()"> Previous </button> <button type="button" onclick="next()" style="background:solid black !important;" class="btn btn-primary btn-next"> Next </button>   </div> 
			</h5>
						<iframe id="chirp" width="100%" height="400px"src="http://35.226.69.237:3838/?country={{country}}&min={{min}}&max={{max}}&top=top&word=word&skip=0"></iframe>
		</div>
		<div class="col-md-6 col-sm-12 panel">
			<h5 class="panel-title"> Geo-Location </h5>
			<iframe id="map" src="http://35.226.69.237/{{country}}/map/{{min}}/{{max}}/top/top" width="100%" height="410px"></iframe>
		</div>
	</div>
</div>
	<div class="container-fluid">
	<div class="row">
		<div class="col-md-4 col-sm-12 panel">
			<h5 class="panel-title"> Hashtags</h5>
			<iframe id="hashtags" width="100%" height="450px"src="http://35.226.69.237/{{country}}/hashtags/{{min}}/{{max}}/top/top"></iframe>
		</div>
		<div class="col-md-4 col-sm-12 panel">
			<h5 class="panel-title"> Mentions </h5>
			<iframe id="mentions_screen_name" width="100%" height="450px"src="http://35.226.69.237/{{country}}/mentions_screen_name/{{min}}/{{max}}/top/top"></iframe>
		</div>
		<div class="col-md-4 col-sm-12 panel">
			<h5 class="panel-title"> Users </h5>
			<iframe id="screen_name" width="100%" height="450px"src="http://35.226.69.237/{{country}}/screen_name/{{min}}/{{max}}/top/top"></iframe>
		</div>
	</div>
	 	</div>
		<div class="container-fluid">
		<div class="row">
		<div class="col-md-6 col-sm-12 panel">
		<h5 class="panel-title"> Tweets Feed
		<select id="sel" class="option-choice" onchange="view()">
		<option value="all">All</option>
		<option value="Links">Links</option>
		<option value="photo">Photo</option>
		<option value="video">Video</option>
		<option value="other">Other</option>
		</select></h5>
		<iframe id="twitter" width="100%" height="451px" src="http://35.226.69.237/{{country}}/twitter/{{min}}/{{max}}/All/all/top/top"></iframe>
		</div>
		<div class="col-md-6 col-sm-12 panel">
			<h5 class="panel-title"> Sentiment </h5>
		<iframe id="sentiments" width="100%" height="462px" src="http://35.226.69.237/{{country}}/sentiments/{{min}}/{{max}}/top/top"></iframe>
			</div>
			</div>	
			</div>
<div class="container-fluid">
		<div class="row">
		<div class="col-md-6 col-sm-12 panel">
			<h5 class="panel-title"> Word Cloud
			</h5>
			<iframe id="word-cloud" width="100%" height="462px" src="http://35.226.69.237/{{country}}/word/{{min}}/{{max}}/All/all/top/top"></iframe>

		</div>
		<div class="col-md-6 col-sm-12 panel">
			<h5 class="panel-title"> Word Association
			</h5>
				<iframe id="word-assoc" width="100%" height="462px" src="http://35.226.69.237/{{country}}/word/{{min}}/{{max}}/All/all/top/top/_"></iframe>
		</div>
	</div>	
</div>
</div>
		</div>
		</div>

</div>

</div>

</div>
		</div>
	<script src="{% static 'vendor/jquery/jquery-3.2.1.min.js' %}"></script>

      <script src = "https://code.jquery.com/ui/1.10.4/jquery-ui.js"></script>

<!--===============================================================================================-->
<!--===============================================================================================-->
<!--===============================================================================================-->
	<script src="{% static 'vendor/bootstrap/js/popper.js' %}"></script>
	<script src="{% static 'vendor/bootstrap/js/bootstrap.min.js' %}"></script>
<!--===============================================================================================-->
<!--===============================================================================================-->
	  
 <script type="text/javascript">
function last_two_days(){
today=new Date()
last_2=today.getTime()-(7*24*60*60*1000)
loadIframe("topics","http://35.226.69.237/"+country+"/virality/"+last_2+"/"+today.getTime()+"/top/top")
}

       
var min ={{min}}
var max ={{max}}
var initial_min={{min}}
var initial_max={{max}}
var country='{{country|safe}}'
var llength={{length|safe}};
//last_two_days()
$(function() {
            $( "input[id$=date]" ).datepicker({
                maxDate:new Date(max),
                minDate:new Date(min),
            
                                        });
         });

// Get the modal
var modal = document.getElementById("myModal");

// Get the button that opens the modal
var btn = document.getElementById("myBtn");

// Get the <span> element that closes the modal
var span = document.getElementsByClassName("close")[0];

// When the user clicks the button, open the modal 
btn.onclick = function() {
  modal.style.display = "block";
  loadIframe("home","http://35.226.69.237");
}

// When the user clicks on <span> (x), close the modal
span.onclick = function() {
  modal.style.display = "none";
  loadIframe("home","//:0");
}

// When the user clicks anywhere outside of the modal, close it
window.onclick = function(event) {
  if (event.target == modal) {
    modal.style.display = "none";
    loadIframe("home","//:0");
  }
}
// Since all the charts are made of iframe so changing the src of the iframe will change the data within them. This is applied 
// on all the html templates. If a hashtag is clicked then correspondingly all the iframes src will be changed. The same applies top
// screen_name and mentions_screen_name
var count=0

// Function to call when next button on network analysis is clicked


function next(){

count=count+1000
if(count>llength){
count=0
}

chirp=document.getElementById("chirp")
src=chirp.src
index=src.indexOf("skip=");
src=src.slice(0,index-1)
src+="&skip="+count
loadIframe("chirp",src)

}

function prev(){
count=count-1000

if(count<0){
count=0
}

chirp=document.getElementById("chirp")
src=chirp.src
index=src.indexOf("skip=");
src=src.slice(0,index-1)
src+="&skip="+count
loadIframe("chirp",src)

}
// Function to call when prev button on network analysis is clicked



// Function to call when reset analysis button is clicked
function reset(){	
	src="http://35.226.69.237/"+country+"/virality/"+initial_min+"/"+initial_max+"/top/top"
         loadIframe("topics",src)
	 src="http://35.226.69.237/"+country+"/timeline/"+initial_min+"/"+initial_max+"/top/top"
         loadIframe("timeline",src)
	 src="http://35.226.69.237/"+country+"/map/"+initial_min+"/"+initial_max+"/top/top"
         loadIframe("map",src)
	 src="http://35.226.69.237:3838/?country="+country+"&min="+initial_min+"&max="+initial_max+"&top=top&word=word&skip=0"
	 loadIframe("chirp",src)
	 src="http://35.226.69.237/"+country+"/hashtags/"+initial_min+"/"+initial_max+"/top/top"
         loadIframe("hashtags",src)
	 src="http://35.226.69.237/"+country+"/mentions_screen_name/"+initial_min+"/"+initial_max+"/top/top"
         loadIframe("mentions_screen_name",src)
	 src="http://35.226.69.237/"+country+"/screen_name/"+initial_min+"/"+initial_max+"/top/top"
         loadIframe("screen_name",src)
	 src="http://35.226.69.237/"+country+"/sentiments/"+initial_min+"/"+initial_max+"/top/top"
         loadIframe("sentiments",src)
		 src="http://35.226.69.237/"+country+"/twitter/"+initial_min+"/"+initial_max+"/All/"+document.getElementById("sel").value+"/top/top"
         loadIframe("twitter",src)
		 src="http://35.226.69.237/"+country+"/word/"+initial_min+"/"+initial_max+"/All/"+document.getElementById("sel").value+"/top/top"
         loadIframe("word-cloud",src)
		 loadIframe("word-assoc","http://35.226.69.237/"+country+"/word/"+initial_min+"/"+initial_max+"/All/all/top/top/_")
         


}

function time(){

parent.loading("time")
min=new Date((document.getElementById("fromdate").value).toString()).getTime()/1
max=(new Date((document.getElementById("todate").value).toString()).getTime()/1000+86400)*1000
if(isNaN(max)){
max=initial_max
}

if(isNaN(min)){
min=initial_min
}
 	 src="http://35.226.69.237/"+country+"/timeline/"+parseInt(min).toString()+"/"+parseInt(max).toString()+"/top/top"
	 loadIframe("timeline",src)
	 src="http://35.226.69.237/"+country+"/virality/"+parseInt(min).toString()+"/"+parseInt(max).toString()+"/top/top"
         loadIframe("topics",src)
	 src="http://35.226.69.237/"+country+"/map/"+parseInt(min).toString()+"/"+parseInt(max).toString()+"/top/top"
         loadIframe("map",src)
         src="http://35.226.69.237:3838/?country="+country+"&min="+parseInt(min).toString()+"&max="+parseInt(max).toString()+"&top=top&word=top&skip=0"
         loadIframe("chirp",src)
	 src="http://35.226.69.237/"+country+"/hashtags/"+parseInt(min).toString()+"/"+parseInt(max).toString()+"/top/top"
         loadIframe("hashtags",src)
	 src="http://35.226.69.237/"+country+"/mentions_screen_name/"+parseInt(min).toString()+"/"+parseInt(max).toString()+"/top/top"
         loadIframe("mentions_screen_name",src)
	 src="http://35.226.69.237/"+country+"/screen_name/"+parseInt(min).toString()+"/"+parseInt(max).toString()+"/top/top"
         loadIframe("screen_name",src)
	 src="http://35.226.69.237/"+country+"/sentiments/"+parseInt(min).toString()+"/"+parseInt(max).toString()+"/top/top"
         loadIframe("sentiments",src)
	 src="http://35.226.69.237/"+country+"/twitter/"+parseInt(min).toString()+"/"+parseInt(max).toString()+"/All/"+document.getElementById("sel").value+"/top/top"
         loadIframe("twitter",src)
	 src="http://35.226.69.237/"+country+"/word/"+parseInt(min).toString()+"/"+parseInt(max).toString()+"/All/"+document.getElementById("sel").value+"/top/top"
         loadIframe("word-cloud",src)
         loadIframe("word-assoc","http://35.226.69.237/"+country+"/word/0/999999999999999/All/all/top/top/_")

}

// Function to return the nth index of a character in a string
function nthIndex(str, pat, n){
    var L= str.length, i= -1;
    while(n-- && (i++)<L){
        i= str.indexOf(pat, i);
        if (i < 0) break;
    }
    return i;
}	

// Function to call when the select option is changed
function view(){

sel=document.getElementById("twitter")
index=nthIndex(sel.src,"/",9)
end=(sel.src).slice(index,(sel.src).length)
src=(sel.src).slice(0,index)
index=(src).lastIndexOf("/")
src=(src).substring(0,index+1)
src+=document.getElementById("sel").value+end
loadIframe("twitter",src)
src=src.replace("twitter","word")
loadIframe("word-cloud",src)
loadIframe("word-assoc","http://35.226.69.237/{{country}}/word/0/999999999999999/All/all/top/top/_")

}
// Function to change the src of the iframe
 function loadIframe(iframeName, url) {
    $("#"+iframeName).contents().find("html").html("");
	document.getElementById(iframeName).src=url

}

	  


	  function create(){
	document.getElementById('alertparent').innerHTML="<div class='alert alert alert-danger alert-dismissible fade show' role='alert' style='display:none' id='aler'>   <strong>ERROR!!!!</strong> There is something wrong with the fields entered. See the respective cells for further details. <button type='button' class='close' onclick='create()' data-dismiss='alert' aria-label='Close'> <span aria-hidden='true'>&times;</span> </button> </div>"
	}	
	</script>

	
	
 
</body>
</html>
